Bug 125056 - up2date's yum header cache keeps growing
up2date's yum header cache keeps growing
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: up2date (Show other bugs)
2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Likins
Fanny Augustin
:
Depends On:
Blocks: 124619
  Show dependency treegraph
 
Reported: 2004-06-02 10:18 EDT by Hans de Goede
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-06-02 09:33:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hans de Goede 2004-06-02 10:18:18 EDT
When one uses up2date with yum channels for a while up2dates yum
header cache keeps growing.

I understand that up2date needs headers for ALL packages, my grudge
with up2date is that it keeps headers from older packages, here is a
part of an ls on my system in /var/spool/up2date:

XFree86-ISO8859-14-100dpi-fonts-4.3.0-42.i386.hdr
XFree86-ISO8859-14-100dpi-fonts-4.3.0-50.i386.hdr
XFree86-ISO8859-14-100dpi-fonts-4.3.0-55.i386.hdr
XFree86-ISO8859-14-75dpi-fonts-4.3.0-42.i386.hdr
XFree86-ISO8859-14-75dpi-fonts-4.3.0-50.i386.hdr
XFree86-ISO8859-14-75dpi-fonts-4.3.0-55.i386.hdr
XFree86-ISO8859-15-100dpi-fonts-4.3.0-42.i386.hdr
XFree86-ISO8859-15-100dpi-fonts-4.3.0-50.i386.hdr
XFree86-ISO8859-15-100dpi-fonts-4.3.0-55.i386.hdr
XFree86-ISO8859-15-75dpi-fonts-4.3.0-42.i386.hdr
XFree86-ISO8859-15-75dpi-fonts-4.3.0-50.i386.hdr
XFree86-ISO8859-15-75dpi-fonts-4.3.0-55.i386.hdr
XFree86-ISO8859-2-100dpi-fonts-4.3.0-42.i386.hdr
XFree86-ISO8859-2-100dpi-fonts-4.3.0-50.i386.hdr
XFree86-ISO8859-2-100dpi-fonts-4.3.0-55.i386.hdr
XFree86-ISO8859-2-75dpi-fonts-4.3.0-42.i386.hdr
XFree86-ISO8859-2-75dpi-fonts-4.3.0-50.i386.hdr
XFree86-ISO8859-2-75dpi-fonts-4.3.0-55.i386.hdr

Notice how all the .hdr are there 3 times !
A second problem is that XFree86 is obsolete and thus the hdr's
shouldn't be there anymore at all!

My suggestion:
Remove .hdr if:
a) there is a newer version (and thus hdr) of the same package and the
old version is not installed (to keep kernel hdr's wenn multiple
kernel versions are installed)
b) the package is no longer in any repository and it is not installed
(remove hdr's when removing packages due to obsoletes)
Comment 1 Adam Gibson 2004-06-13 11:20:23 EDT
yum has an even worse problem.  The yum.cron script never runs yum
clean so old packages even stay on the server which eventually fills
up /var and stops other apps that depend on var from working.  I am
going to file this as a seperate bug for yum.
Comment 2 Matthew Miller 2005-04-26 12:07:00 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 3 Hans de Goede 2005-06-02 09:33:24 EDT
I've tried to reproduce this with FC4 test and up2date now properly cleans up
after itself, closing.

Note You need to log in before you can comment on or make changes to this bug.